Lintian Fixes - fprobe

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/fprobe lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index b8860d5..546f680 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,13 @@
 fprobe (1.1-9) UNRELEASED; urgency=medium
 
+  [ Ondřej Nový ]
   * d/changelog: Remove trailing whitespaces
   * d/control: Set Vcs-* to salsa.debian.org
 
+  [ Debian Janitor ]
+  * Trim trailing whitespace.
+  * Use set -e rather than passing -e on the shebang-line.
+
  -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:43:34 +0200
 
 fprobe (1.1-8) unstable; urgency=medium
@@ -121,4 +126,3 @@ fprobe-ng (1.1-1) unstable; urgency=low
   * Initial Release. (closes: #272201, #285041)
 
  -- Radu Spineanu <radu@timisoara.roedu.net>  Sat, 18 Sep 2004 11:10:17 +0300
-
diff --git a/debian/config b/debian/config
index 255f27e..f031487 100644
--- a/debian/config
+++ b/debian/config
@@ -1,7 +1,9 @@
-#!/bin/sh -e
+#!/bin/sh
 
 #Script to configure fprobe.
 
+set -e
+
 # Use debconf.
 . /usr/share/debconf/confmodule
 

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/39/07a3a8d1367a3459c0bcbba39961d1ffe8bc8b.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/60/48c829b6abcd1fd825ecfbb003e8b6b330fc5a.debug

No differences were encountered between the control files of package fprobe

Control files of package fprobe-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 6048c829b6abcd1fd825ecfbb003e8b6b330fc5a 3907a3a8d1367a3459c0bcbba39961d1ffe8bc8b

Run locally

Try this locally (using the lintian-brush package):

debcheckout fprobe
cd fprobe
lintian-brush

More details

Full run details